Ubuntu SGX Install issue

Hello

this is what I get on my Rev C3 board:

ubuntu@beagleboard:~/SGXFull$ uname -a
Linux beagleboard 2.6.33.4-l3 #1 PREEMPT Fri May 14 05:45:42 UTC 2010
armv7l GNU
ubuntu@beagleboard:~/SGXFull$ ls
create_sgx_package.download
OMAP35x_Graphics_SDK_setuplinux_3_01_00_06.bin
GFX_3_01_00_06_libs.tar.gz run-SGX.sh
GFX_Linux_SDK SDK
GFX_Linux_SDK.tar.gz SDK_BIN
install-SGX.sh target_libs.tar.gz
ubuntu@beagleboard:~/SGXFull$ ./install-SGX.sh
Extracting target files to rootfs
update-rc.d: warning: /etc/init.d/pvr missing LSB information
update-rc.d: see <http://wiki.debian.org/LSBInitScripts>
System start/stop links for /etc/init.d/pvr already exist.
ubuntu@beagleboard:~/SGXFull$ ./run-SGX.sh
Stopping PVR
Starting PVR
FATAL: Module omaplfb not found.
FATAL: Module bufferclass_ti not found.
mknod: missing operand after `0'
Try `mknod --help' for more information.
chmod: cannot access `/dev/pvrsrvkm': No such file or directory
mknod: missing operand after `0'
Try `mknod --help' for more information.
chmod: cannot access `/dev/bc_cat': No such file or directory
Starting SGX fixup for ES3.x

Regards

Hello

this is what I get on my Rev C3 board:

ubuntu@beagleboard:~/SGXFull$ uname -a
Linux beagleboard 2.6.33.4-l3 #1 PREEMPT Fri May 14 05:45:42 UTC 2010

You haven't met the minimal kernel requirements:
http://elinux.org/BeagleBoardUbuntu#SGX_Video_Acceleration

Upgrade to 2.6.34 +

http://rcn-ee.net/deb/lucid/v2.6.34-l1/install-me.sh

(on beagle) "/bin/bash install-me.sh"

Hi,

I have BB-xM and just want to check SGX acceleration.

Environment: BBxM - Ubuntu 12-10 LXDE - Kernel 3.7.10-x13

To do that I have followed the steps written in http://elinux.org/BeagleBoardUbuntu#SGX_Video_Acceleration.
Since there is no install-image.sh I have copied the tar files into my SD Card manually.

However, when I run test scripts in /usr/bin/armhf/es5.0 in BB-xM, I am getting an error says “error while loading shared libraries: /usr/lib/libsrv_um.so: file too short”. Then, I have realized that there is no .ko (bufferclass_ti, omaplfb, pvrsrvkm) and also libsrv_um.so file size is 0 in the filesystem in BBxM. What did I wrong?

Any help would be greatly appreciated.

Regards,
Ozkan.

Hi,

I have BB-xM and just want to check SGX acceleration.

Environment: BBxM - Ubuntu 12-10 LXDE - Kernel 3.7.10-x13

To do that I have followed the steps written in
http://elinux.org/BeagleBoardUbuntu#SGX_Video_Acceleration.
Since there is no install-image.sh I have copied the tar files into my SD
Card manually.

"./tools/install_kernel.sh"

However, when I run test scripts in /usr/bin/armhf/es5.0 in BB-xM, I am
getting an error says "error while loading shared libraries:
/usr/lib/libsrv_um.so: file too short". Then, I have realized that there is
no .ko (bufferclass_ti, omaplfb, pvrsrvkm) and also libsrv_um.so file size
is 0 in the filesystem in BBxM. What did I wrong?

Probally didn't copy it..

Any help would be greatly appreciated.

Patches welcome..

Regards,

I just pushed a patch to better cppy the sgx libs.. (and elinux is
down for edits..)

https://github.com/RobertCNelson/stable-kernel/commit/092fe57bb5c47106bfc8d681c596f7add622acbe

But good luck, haven't played with sgx on the xM in over a few years..

Regards,